package com.securitycontrol.screen.controller;

import com.securitycontrol.common.core.web.controller.BaseController;
import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.screen.dto.ScreenParamDto;
import com.securitycontrol.screen.service.XcIndexService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *现场施工搭大屏接口层
 * @author 黑子
 */
@RestController
@RequestMapping("/largeScreen/xcIndex/")
public class XcIndexController extends BaseController {

  @Autowired
  private XcIndexService service;

    @ApiOperation(value = "查询项目简介")
    @GetMapping("getProDetails")
    public AjaxResult getProDetails(ScreenParamDto dto){
        return service.getProDetails(dto);
    }

  /**
   * 工程环境检测 实施数据
   * @param dto
   * @return
   */
    @ApiOperation(value = "查询工程实时检测数据")
    @GetMapping("getProJcData")
    public AjaxResult getProJcData(ScreenParamDto dto){
      return service.getProJcData(dto);
    }

    /**
     * 工程环境检测 实施数据
     * @param dto
     * @return
     */
    @ApiOperation(value = "查询项目风险数据")
    @GetMapping("getProRisk")
    public AjaxResult getProRisk(ScreenParamDto dto){
      return service.getProRisk(dto);
    }

  /**
   * 工程环境检测 实施数据
   * @param dto
   * @return
   */
  @ApiOperation(value = "查询项目进度")
  @GetMapping("getProcess")
  public AjaxResult getProcess(ScreenParamDto dto){
    return service.getProcess(dto);
  }

  /**
   * 工程环境检测 实施数据
   * @param dto
   * @return
   */
  @ApiOperation(value = "查询工程项目成本")
  @GetMapping("getProMoney")
  public AjaxResult getProMoney(ScreenParamDto dto){
    return service.getProMoney(dto);
  }
}
